//
//  StorageKitConstants.h
//  StorageKit
//
//  Created by Stefan Fuerst on 17.06.18.
//  Copyright (c) 2018 Media Atelier. All rights reserved.
//

#import <Foundation/Foundation.h>


extern NSString *const kStorageKitInsert;
extern NSString *const kStorageKitUpdate;
extern NSString *const kStorageKitDelete;
extern NSString *const kStorageKitChanges;
extern NSString *const kStorageKitObjectsWillChangeExternally;
extern NSString *const kStorageKitObjectsDidChangeExternally;
extern NSString *const kStorageKitStoreType;

extern NSString *const kStorageKitBeginSave;

extern NSString *const kStorageKitDeviceIdentifierKey;

extern NSString *const kStorageKitAnonymizeOptionsKey;
extern NSString *const kStorageKitBusyWindowControllerOptionsKey;

extern NSString *const kStorageKitLogType;
extern NSString *const kStorageKitLogTypeSuccess;
extern NSString *const kStorageKitLogTypeWarning;
extern NSString *const kStorageKitLogTypeError;

extern NSString *const kStorageKitIgnoreNetworkVolumesWarningAtMyOwnRisk;
extern NSString *const kStorageKitLoadDataWithTimeout;